Fix an example, loosen version bounds, and bump to v0.4.2.
[haeredes.git] / haeredes.cabal
index c6fce5a9b128bbb07cafa91f10ba9fdd5d99dac9..5644cea72f738bede12613205eec57cf3e1d16de 100644 (file)
@@ -1,5 +1,5 @@
 name:           haeredes
-version:        0.4.1
+version:        0.4.2
 cabal-version:  >= 1.8
 author:         Michael Orlitzky
 maintainer:    Michael Orlitzky <michael@orlitzky.com>
@@ -71,22 +71,22 @@ description:
   @
   .
   Check a nonexistent domain (we provide no delegates, since we
-  know .invalid will not be delegated):
+  know .bar will not be delegated):
   .
   @
-  $ haeredes <<< \"example.invalid\"
-  Domain \"example.invalid.\" not delegated.
+  $ haeredes <<< \"foo.bar\"
+  Domain \"foo.bar.\" not delegated.
   @
 
 executable haeredes
   build-depends:
     base                        == 4.*,
-    bytestring                  == 0.10.*,
-    cmdargs                     == 0.10.*,
+    bytestring                  >= 0.10,
+    cmdargs                     >= 0.10,
     dns                         >= 1.4,
-    iproute                     == 1.2.*,
-    MissingH                    == 1.2.*,
-    parallel-io                 == 0.3.*
+    iproute                     >= 1.2,
+    MissingH                    >= 1.2,
+    parallel-io                 >= 0.3
 
   main-is:
     Main.hs
@@ -124,8 +124,8 @@ test-suite doctests
   build-depends:
     base      == 4.*,
     -- Additional test dependencies.
-    doctest   == 0.9.*,
-    filemanip == 0.3.6.*
+    doctest   >= 0.9,
+    filemanip >= 0.3.6
 
   -- It's not entirely clear to me why I have to reproduce all of this.
   ghc-options: